Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Downgrade question?

Discussion in 'Pro/Adv Discussion' started by layztexan, May 30, 2016.

  1. layztexan

    Joined:
    May 30, 2016
    Messages:
    8
    Likes Received:
    0
    Ok so i'm having same issues as everyone else, just got my drone last week and everything was fine till updating so tonight i downgraded everything my controller is on FW 1.5.80 and aircraft is 1.7.60+ (not sure what the plus means) and app version 2.8.2, Ok so my question is I've heard that the 1.5 fw is bad because of battery failures and i can't go to a lower version so should I update the controller to 1.6 then or leave it at the 1.5? And what about the aircraft should i downgrade it to a lower version?
     
  2. Oso

    Oso

    Joined:
    May 19, 2015
    Messages:
    2,535
    Likes Received:
    1,482
    Location:
    Sacramento CA
    The bad version 1.5 was for the AC, not the RC. The 1.5 version you have on your RC is fine as long as you are not at 1.8 on the AC. If you did have 1.8 on the AC, it would then require 1.6 on the RC.

    Also, you can only downgrade the AC to one version lower than the highest you've had. For example, if you've been at 1.8, then 1.7 is the lowest you can go.
     
    #2 Oso, May 30, 2016
    Last edited: May 30, 2016
  3. layztexan

    Joined:
    May 30, 2016
    Messages:
    8
    Likes Received:
    0
    O ok well idk if I could go lower than the 1.7 or if I even needed to, well all I know is I was at 1,378ft with no video loss and only could go 900ft today idk what's going on but I'm gonna try this downgrade out and see if that helps


    Sent from my iPhone using PhantomPilots mobile app